VIRGL_TEST_SERVER(1)

NAME
virgl_test_server - rendering server for separating OpenGL clients from host hardware

SYNOPSIS
virgl_test_server [options]

DESCRIPTION
virgl_test_server provides a rendering server that interfaces with the OpenGL hardware. Clients connect to it by using the mesa 3D virgl gallium software renderer.

With the server running, the clients can connect to it by running it with specific environment variables set to make mesa pick the virgl driver for rendering:

  LIBGL_ALWAYS_SOFTWARE=1 GALLIUM_DRIVER=virpipe <client software>

OPTIONS

--no-fork Run the server single threaded

--no-loop-or-fork Run the server single threaded and exit after the client closes the connection

--use-gles Force a GLES context on the host

--use-glx Use the GLX interface on the host

--use-egl-surfaceless Use the EGL surfaceless interface on the host

AUTHORS AND CONTRIBUTORS
   Dave Airlie, Gert Wollny, Erik Faye-Lund, Marc-André Lureau, Gurchetan Singh,
   Emil Velikov, Robert Foss, Jakob Bornecrantz, Elie Tournier, Alexandros Frantzis,
   David Riley, Tomeu Vizoso, Li Qiang, Stéphane Marchesin, Chia-I Wu, Po-Hsien Wang,
   Lepton Wu, Ramin Azarmehr, Robert Tarasov, Michal Privoznik, Alexander Kanavin,
   Joe M. Kniss, Karol Herbst, Ondřej Súkup, Gerd Hoffmann, Ilia Mirkin, Joe Kniss,
   Nathan Gauer, Zhenyu Wang